#
# spec file for package cadaver
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cadaver
#BuildRequires:  automake
BuildRequires:  libneon-devel
BuildRequires:  readline-devel
Version:        0.23.3
Release:        bp153.1.19
Summary:        Command Line WebDAV Client for Unix
License:        GPL-2.0+
Group:          Productivity/Networking/Web/Utilities
Url:            http://www.webdav.org/cadaver/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-0.23.2-strncat.patch
Patch1:         cadaver-neon.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Cadaver is a command-line WebDAV client for Unix. It supports file
upload, download, on-screen display, namespace operations (move and
copy), collection creation and deletion, and locking operations.

%prep
%setup -q
%patch0
%patch1 -p1
# Forcibly prevent use of bundled neon/expat/gettext sources.
rm -rf lib/neon/*.[ch] lib/intl/*.[ch]

%build
#gettextize --force
#aclocal -I m4 -I m4/neon
#autoconf --force
#autoheader --force
export LDFLAGS=-pie CFLAGS="$RPM_OPT_FLAGS -fPIE -Wall"
%configure \
    --with-ssl \
    --with-libxml2 
make %{?_smp_mflags}

%install
make "DESTDIR=$RPM_BUILD_ROOT" install
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog FAQ INTEROP NEWS README THANKS TODO
%doc %{_mandir}/man?/*
%{_bindir}/*

%changelog
* Sun Apr 27 2014 crrodriguez@opensuse.org
- Fix build with SSLv2 disabled, use of bundled neon library
  was the cause (cadaver-neon.patch)
* Thu Jun 27 2013 coolo@suse.com
- avoid auto*, fixes build
* Tue Mar 20 2012 toganm@opensuse.org
- remove obsoluted %%suse_update_config macro
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Mon Sep  6 2010 coolo@novell.com
- update to 0.23.3
  * Update to neon 0.29.1
* Wed Feb 10 2010 jengelh@medozas.de
- SPARC requires large PIE
* Wed Mar 19 2008 prusnak@suse.cz
- updated to 0.23.2
  * fix "make install" with NLS builds
  * update to neon 0.28.0
* Tue Sep 25 2007 prusnak@suse.cz
- updated to 0.23.0
  * sync with neon library 0.27.0 (drop support for older versions)
  * fix 'search contains'
  * add DESTDIR support to 'make install'
- dropped obsolete patches:
  * makefilein.diff (included in update)
* Wed Jan 24 2007 prusnak@suse.cz
- update to 0.22.5
  * sync to neon library 0.26.3
  * document netrc support in man page
* Thu Dec 14 2006 prusnak@suse.cz
- fixed 3rd argument in strncat functions
* Tue Aug 15 2006 ro@suse.de
- call gettextize (MKINSTALLDIRS problem)
* Thu Jul 20 2006 olh@suse.de
- use systen neon library
* Wed Jun 14 2006 dmueller@suse.de
- build parallel
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 mjancar@suse.cz
- update to 0.22.3
* Mon Jun 20 2005 ro@suse.de
- build as pie
* Tue Jun  8 2004 mjancar@suse.cz
- update to 0.22.2
  * fix security problem in libneon (#41725)
* Thu Feb 26 2004 mjancar@suse.cz
- update to 0.22.0
* Thu Nov  6 2003 schwab@suse.de
- Fix quoting in configure script.
* Thu Jul 24 2003 mjancar@suse.cz
- update to 0.21.0
* Thu Oct 10 2002 prehak@suse.cz
- update to version 0.20.5
* Sun Aug  4 2002 vinil@suse.cz
- readline added to neededforbuild
* Mon Jul 15 2002 poeml@suse.de
- allow build on SuSE Linux 7.3 and 8.0
* Fri Jul 12 2002 prehak@suse.cz
- initial version 0.19.1
- used AC_LIBOBJ macro instead of directly modifying LIBOBJS
  in configure.in (created cadaver.dif)
- fixed install paths in Makefile.in
- build with OpenSSL support
